import { TicketHandler } from '../apis/TicketHandler';
import { WechatBase } from '../Base';
import { Auth } from './apis/auth';
import { Qrcode } from './apis/qrcode';
import { Template } from './apis/template';
import { User } from './apis/user';
export declare class BaseWebAPI {
    protected readonly root: WebAPI;
    constructor(root: WebAPI);
}
export declare class WebAPI extends WechatBase {
    /** 二维码 */
    qrcode: Qrcode;
    /** 用户 */
    user: User;
    /** 网页授权 */
    auth: Auth;
    /** 模板消息 */
    template: Template;
}
export interface WebAPI extends TicketHandler {
}
