import { Request } from '@libeilong/request';
import { TokenHandler } from './apis/TokenHandler';
export declare type WechatBaseOptions = {
    appid: string;
    appsecret: string;
    endpoint?: string;
};
export declare class WechatBase {
    constructor(options?: WechatBaseOptions);
    appid?: string;
    appsecret?: string;
    endpoint: string;
    request: Request;
    setEndpoint: (endpoint: string) => void;
    setAppid: (appid: string) => void;
    setAppsecret: (appsecret: string) => void;
}
export interface WechatBase extends TokenHandler {
}
