import { TicketHandler } from '../apis/TicketHandler';
import { WechatBase } from '../Base';
import { Auth } from './apis/auth';
import { Search } from './apis/search';
import { Security } from './apis/security';
import { SubscribeMessage } from './apis/subscribeMessage';
import { Wxacode } from './apis/wxacode';
export declare class BaseMiniAPI {
    protected readonly root: MiniAPI;
    constructor(root: MiniAPI);
}
export declare class MiniAPI extends WechatBase {
    /** 内容安全 */
    security: Security;
    /** 小程序码 */
    wxacode: Wxacode;
    /** 订阅消息 */
    subscribeMessage: SubscribeMessage;
    /** 登录 */
    auth: Auth;
    /** 小程序搜索 */
    search: Search;
}
export interface MiniAPI extends TicketHandler {
}
